Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 Mar 2009 11:44:37 -0500

> That's because `scroll-other-window' calls scroll-up/down in the other
> window, but if the other window contains an doc-view buffer it should
> ideally call image-scroll-up/down.

> The only good solution I see is to define buffer local variables
> `scroll-up-function' and `scroll-down-function' which are used by
> `scroll-up' and `scroll-down' and then binding them appropriate in
> each mode.

Indeed, something like a hook seems necessary.  I'd rather leave it as
is for Emacs-23.1, tho.  Makes me wonder: do we have a way to tag bugs
as "post-23.1"?

        Stefan